Daemon Power

The NetBSD Packages Collection: mail/qmail

Brief description of the package:
Secure, reliable, efficient, simple, and fast MTA

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://qmail.org/netqmail/.

Please note that this package has a public-domain license.

The package is located in the "mail/qmail" directory. The current source version of the package is "qmail-1.03nb32". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for mail/qmail :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: daemontools-[0-9]* cwrappers>=20150314 ucspi-tcp-[0-9]* libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libsrs2>=1.0.18 syncdir>=1.0 syncdir>=1.0nb1 .

This package requires the following package(s) to run: daemontools-[0-9]* ucspi-tcp-[0-9]* libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libsrs2>=1.0.18 syncdir>=1.0 syncdir>=1.0nb1 .

This package supports the following build-time options:

djbware-errno-hack
Patch to #include for correctness.
eai
Enable EAI (Email Address Internationalization) support.
qmail-badrcptto
Patch to SMTP-reject particular envelope recipients.
qmail-bigdns
Patch to handle oversized responses to MX queries.
qmail-customerror
Patch to return custom messages from queue filters.
qmail-maildiruniq
Patch to avoid name collisions when PIDs recycle fast.
qmail-netqmail
Patch collection prepared by respected list members.
qmail-outgoingip
Patch to force a particular source IP address.
qmail-qregex
Patch to SMTP-reject customizable patterns.
qmail-rcptcheck
Patch to SMTP-reject via a script or program.
qmail-realrcptto
Patch to SMTP-reject nonexistent recipients.
qmail-rejectutils
Patch to SMTP-reject recipients, senders, or content.
qmail-remote
Patch to run $QMAILREMOTE instead of "qmail-remote".
qmail-srs
Patch to implement Sender Rewriting Scheme with libsrs2.
qmail-viruscan
Patch to SMTP-reject certain types of MIME attachments.
sasl
Enable SASL support.
syncdir
Force synchronous link() and related syscalls.
tls
Enable TLS support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:qmail-1.03nb20.tgz(NetBSD 7.0)
alpha:qmail-1.03nb28.tgz(NetBSD 8.0)
arm:qmail-1.03nb17.tgz(NetBSD 6.1_STABLE)
earm:qmail-1.03nb19.tgz(NetBSD 7.0)
earm:qmail-1.03nb19.tgz(NetBSD 7.0)
earmv6hf:qmail-1.03nb19.tgz(NetBSD 7.0)
earmv7hf:qmail-1.03nb28.tgz(NetBSD 8.0_BETA)
earmv7hfeb:qmail-1.03nb19.tgz(NetBSD 7.0)
i386:qmail-1.03nb28.tgz(NetBSD 6.0)
i386:qmail-1.03nb27.tgz(NetBSD 6.0)
i386:qmail-1.03nb28.tgz(NetBSD 6.1)
i386:qmail-1.03nb27.tgz(NetBSD 6.1)
i386:qmail-1.03nb28.tgz(NetBSD 7.0)
i386:qmail-1.03nb27.tgz(NetBSD 7.0)
m68k:qmail-1.03nb17.tgz(NetBSD 6.1_STABLE)
mipsel:qmail-1.03nb19.tgz(NetBSD 6.1.5)
powerpc:qmail-1.03nb20.tgz(NetBSD 6.0)
powerpc:qmail-1.03nb28.tgz(NetBSD 6.1)
powerpc:qmail-1.03nb28.tgz(NetBSD 7.1)
powerpc:qmail-1.03nb32.tgz(NetBSD 7.1)
powerpc:qmail-1.03nb28.tgz(NetBSD 8.0)
sh3el:qmail-1.03nb19.tgz(NetBSD 7.0)
sparc64:qmail-1.03nb19.tgz(NetBSD 7.0)
sparc64:qmail-1.03nb20.tgz(NetBSD 7.1_RC1)
x86_64:qmail-1.03nb28.tgz(NetBSD 6.0)
x86_64:qmail-1.03nb27.tgz(NetBSD 6.0)
x86_64:qmail-1.03nb28.tgz(NetBSD 6.1)
x86_64:qmail-1.03nb27.tgz(NetBSD 6.1)
x86_64:qmail-1.03nb28.tgz(NetBSD 7.0)
x86_64:qmail-1.03nb27.tgz(NetBSD 7.0)
x86_64:qmail-1.03nb28.tgz(NetBSD 7.0.1_PATCH)
x86_64:qmail-1.03nb28.tgz(NetBSD 8.99.1)
x86_64:qmail-1.03nb32.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]